- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.forwarders.collectors/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.forwarders.collectors/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.forwarders.collectors/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.forwarders.collectors/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.forwarders.collectors/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.forwarders.collectors/list#body.ListCollectorsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.forwarders.collectors/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.forwarders.collectors/list#body.aspect_1)

**Full name**: projects.locations.instances.forwarders.collectors.list

List all collectors for the forwarder.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/collectors`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where the Collector is located. Format: projects/{project}/locations/{location}/instances/{instance}/forwarders/{forwarder} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of collectors to return, though the service may return fewer than this value. If unspecified, at most 50 collectors will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` A page token, received from a previous `collectors.list` call. Provide this to retrieve the subsequent page. |

### Request body

The request body must be empty.

### Response body

collectors.list response message.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "collectors": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.forwarders.collectors#Collector`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `collectors[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.forwarders.collectors#Collector`)`` List of collectors. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.collectors.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).